Support for older MetaTrader 4 versions to end

September 09, 2021 13:00

Dear traders

 

We would like to inform you that support for older versions of MetaTrader 4 platform components to end on October 1, 2021. 

After October 1, MetaQuotes will end their support for all MetaTrader 4 platform components below version 1320.  

Old terminal versions will not be able to connect to trading servers. 

Please update your terminals to the latest version. 

 

Kind regards, 

Admirals 

 

 

MetaTrader: Supreme Edition Plugin 

Did you know that Admiral Markets offers an enhanced version of Metatrader that boosts trading capabilities? Now you can trade with MetaTrader 4 and MetaTrader 5 with an advanced version of MetaTrader that offers excellent additional features such as the correlation matrix, which enables you to view and contrast various FX currency pairs in real-time, or the mini trader widget - which allows you to buy or sell via a small window while you continue with everything else you need to do. Download it for FREE today by clicking the banner below!​ 

 

Avatar-Admirals
Admirals An all-in-one solution for spending, investing, and managing your money

More than a broker, Admirals is a financial hub, offering a wide range of financial products and services. We make it possible to approach personal finance through an all-in-one solution for investing, spending, and managing money.